"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Exception class thrown or returned when validation errors are encountered.
 */
class ValidationError extends Error {
    /**
     * Creates a new ValidationError with the given error message and failing rule.
     *
     * @param message the error message
     * @param rule the failing validation rule
     */
    constructor(message, rule, variable) {
        super(message);
        this.rule = rule;
        Object.setPrototypeOf(this, ValidationError.prototype);
        this.name = this.constructor.name;
        this.variable = variable;
    }
}
exports.ValidationError = ValidationError;
//# sourceMappingURL=api.js.map